System 2.0.0.0 4.0.0.0 System.CodeDom.CodeDirective System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

The property specifies whether an instance represents the start or end of the region.

Not all compilers support code region directives. To prevent compiler errors, code providers normally do not include code region directives in the provider output for compilers that do not support them.

Specifies the name and mode for a code region.

- Constructor
  2.0.0.0
  4.0.0.0

  If you use this constructor, you should also set the and properties.

  Initializes a new instance of the class with default values.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class, specifying its mode and name.

  One of the values.
  The name for the region.
- Property
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeRegionMode To be added. To be added.

  Gets or sets the mode for the region directive.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the name of the region.